# 下载PotatoSDK
    添加链接
# 导入 potato_sdk-release.aar

>###setup1: 选中项目右键-> New -> Module    

![](1.png)   

![](2.png)  

![](3.png)   

![](4.png)   



>###setup2:在gradle dependencies 中加入配置   

        ```  
            implementation "org.jetbrains.kotlin:kotlin-stdlib-jre7:1.2.21"  

            compile project(path: ':potato_sdk-release')
        ```


# 使用PotatoSDK

>>### 配置 AndroidManifest.xml  
>在 application 标签里配置
```
        <<meta-data  
            android:name = "PotatoClientID"
            android:value = "你的 clientId"
            />

        <<uses-permission android:name="android.permission.INTERNET" />
        <<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
```
>###客户端登录    

     ```java  
     Login.launchClientLogin(MainActivity.this)
     ```   

>###在Activity中重写 onActivityResult   

    ```java   

     @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);

        Bundle bundle = null;
        switch (resultCode) {

                case Login.sClientLoginResultCode:
                    if (data != null) {
                        bundle = data.getExtras();
                        if (bundle != null) {
                            AuthToken authToken = (AuthToken) bundle.getSerializable(Login.sTokenKey);
                            Log.d("authToken",authToken.toString());
                        }
                    }
                    break;

                    case Login.sErrorCode:
                        bundle = data.getExtras();
                        if (bundle != null) {
                            String error = bundle.getString("error");
                            Log.d("authToken",error);
                        }
                        break;
        }
    }

     ```